Resource details
Get resource details by id.
curl -X GET "https://api.prd.rad.security/clusters/example_string/resources/example_string?with_payload=true" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.prd.rad.security/clusters/example_string/resources/example_string?with_payload=true"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.prd.rad.security/clusters/example_string/resources/example_string?with_payload=true", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.prd.rad.security/clusters/example_string/resources/example_string?with_payload=true", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.prd.rad.security/clusters/example_string/resources/example_string?with_payload=true')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{
"account_id": "example_string",
"api_version": "example_string",
"cluster_id": "example_string",
"deleted_at": "example_string",
"deletion_source": "example_string",
"entity_type": "example_string",
"id": "example_string",
"ingested_at": "example_string",
"kind": "example_string",
"name": "John Doe",
"namespace": "John Doe",
"owner_uid": "example_string",
"raw": "example_string",
"resource_created_at": "example_string",
"resource_version": "example_string",
"uid": "example_string",
"version_overwritten_at": "example_string",
"watched_at": "example_string"
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
GET
/clusters/{cluster_id}/resources/{resource_id}GET
Base URLstring
Target server for requests. Edit to use your own host.
path
cluster_idstring
RequiredCluster id
path
resource_idstring
Requiredresource id which is a combination of uid and resource version
query
with_payloadboolean
Flag to return payload. Default: true
Request Preview
Response
Response will appear here after sending the request
Path Parameters
cluster_idstring
RequiredCluster id
resource_idstring
Requiredresource id which is a combination of uid and resource version
Query Parameters
with_payloadboolean
Flag to return payload. Default: true
Responses
account_idstring
api_versionstring
cluster_idstring
deleted_atstring
deletion_sourcestring
entity_typestring
idstring
ingested_atstring
kindstring
namestring
namespacestring
owner_uidstring
rawstring
resource_created_atstring
resource_versionstring
uidstring
version_overwritten_atstring
watched_atstring
Was this page helpful?